Bug 534532 - (RHQ-131) make installer easier to use
make installer easier to use
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
: Improvement
Depends On: RHQ-132 RHQ-133 RHQ-134 RHQ-135
  Show dependency treegraph
Reported: 2008-03-17 13:46 EDT by John Mazzitelli
Modified: 2009-11-10 16:22 EST (History)
0 users

See Also:
Fixed In Version: 1.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-03-17 13:46:00 EDT
need to add some additional features to installer to make it easier to use. see subtasks
Comment 1 John Mazzitelli 2008-03-20 16:04:26 EDT
make the installer a little nicer to use. You can now:

a) see if you already have an existing schema or not, and if you do, elect to delete it and overwrite it with a new, empty set of RHQ tables or to keep it and upgrade it

b) test your connection properties to make sure they are valid and can communicate with your database

c) create a "rhqadmin" user (and an "rhq" database, if postgres) if all you have is a completely empty database server with no users/databases (i.e. you just installed the database server but did nothing else)
Comment 2 Red Hat Bugzilla 2009-11-10 15:30:28 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-131

Note You need to log in before you can comment on or make changes to this bug.